unit Exampl2a;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, RTCLOAD, Tabs, ExtCtrls, StdCtrls, Grids,
  DBGrids, DBCtrls, DB, DBTables, RtcStrC, RTCEDIT, Buttons;

type
  TFexample2a = class(TForm)
    Notebook1: TNotebook;
    TabSet1: TTabSet;
    RtcLoader: TRtcLoader;
    Memo1: TMemo;
    Panel1: TPanel;
    Table1: TTable;
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    Table1CustNo: TFloatField;
    Table1Company: TStringField;
    Table1Addr1: TStringField;
    Table1City: TStringField;
    Table1State: TStringField;
    Table1Zip: TStringField;
    Table1Country: TStringField;
    Table1Phone: TStringField;
    Table1Contact: TStringField;
    Memo2: TMemo;
    RSCDatasetStates: TRtcStringContainer;
    Lstate: TLabel;
    RTCustomiser1: TRTCustomiser;
    RSCmsg: TRtcStringContainer;
    BitBtn1: TBitBtn;
    procedure RtcLoaderAfterLoading(Sender: TObject);
    procedure TabSet1Click(Sender: TObject);
    procedure DataSource1StateChange(Sender: TObject);
    procedure RtcLoaderBeforeLoading(Sender: TObject);
    procedure Table1BeforeDelete(DataSet: TDataset);
    procedure BitBtn1Click(Sender: TObject);
    procedure RtcLoaderInitializeForm(Sender: TObject);
  private
    CurrentPage : Integer;
  public
  end;

var
  Fexample2a: TFexample2a;

implementation

{$R *.DFM}

procedure TFexample2a.RtcLoaderInitializeForm(Sender: TObject);
begin
  TabSet1.Tabs := Notebook1.Pages;        { Initialize the Tabs }
end;

procedure TFexample2a.RtcLoaderBeforeLoading(Sender: TObject);
begin
  CurrentPage := TabSet1.TabIndex;        { save the current page }
end;

procedure TFexample2a.RtcLoaderAfterLoading(Sender: TObject);
begin
  TabSet1.Tabs := Notebook1.Pages;        { load the translations of the tabs }
  TabSet1.TabIndex := CurrentPage;        { restore the current page }
end;

procedure TFexample2a.TabSet1Click(Sender: TObject);
begin
  Notebook1.PageIndex := TabSet1.TabIndex;
end;

procedure TFexample2a.DataSource1StateChange(Sender: TObject);
begin
  LState.Caption := RSCDataSetStates.Value(IntToStr(ord(DataSource1.State)));
end;

procedure TFexample2a.Table1BeforeDelete(DataSet: TDataset);
var
  Msg: String;
begin
  { FormatValue calls the format function; see Delhi help on the format function }
  Msg := RSCmsg.FormatValue('SureDel', [Table1Company.asString]);
  if MessageDlg(msg, mtConfirmation, [mbYes, mbNo],0) <> mrYes then
    Abort;
end;

procedure TFexample2a.BitBtn1Click(Sender: TObject);
begin
  MessageDlg(RSCmsg.Value('ClickMe'), mtInformation, [mbOk], 0);
end;

end.
